Summary:	KCM module to configure Wacom linux Drivers
Name:		wacomtablet
Version:	2.0
Release:	%mkrel 2
Source0:	http://kde-apps.org/CONTENT/content-files/114856-wacomtablet-%{version}.tar.bz2
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		https://projects.kde.org/projects/extragear/base/wacomtablet
BuildRequires:	cmake
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xorg-wacom)
Provides:	kcm_tablet = %{version}-%{release}
Requires:	%{name}-kcmodule
Requires:	x11-driver-input-wacom

%description
This module implements a GUI for the Wacom Linux Drivers and extends it
with profile support to handle different button/pen layouts per profile.

%files 

#-----------------------------------------------------------------------

%package -n plasma-applet-wacomtablet
Summary:	Plasma applet for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}
Provides:	plasma-applet
%description -n plasma-applet-wacomtablet
This package provides a plasma applet for %{name}

%files -n plasma-applet-wacomtablet
%{_kde_libdir}/kde4/plasma_applet_wacomtabletsettings.so
%{_kde_services}/plasma-applet-wacomtabletsettings.desktop

#-----------------------------------------------------------------------

%package kcmodule
Summary:	Kcmodule for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kded = %{version}
%description kcmodule
This package provides the necessary files for kcmmodule

%files kcmodule -f %{name}.lang
%{_kde_libdir}/kde4/kcm_%{name}.so
%{_kde_docdir}/HTML/en/kcontrol/%{name}/
%{_kde_services}/kcm_%{name}.desktop
%{_kde_appsdir}/%{name}/data
%{_kde_appsdir}/%{name}/images

#-----------------------------------------------------------------------
%package kded
Summary:	Kded module for %{name}
%description	kded
This package provides the kded module and dbus files for %{name}

%files kded
%{_kde_libdir}/kde4/kded_%{name}.so
%{_kde_appsdir}/wacomtablet/%{name}.notifyrc
%{_kde_services}/kded/%{name}.desktop
%{_datadir}/dbus-1/interfaces/org.kde.Wacom.xml

#-----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{name}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0-2.mga4
+ Revision: 533786
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 dams <dams> 2.0-1.mga4
+ Revision: 475421
- new version 2.0

* Mon Jan 14 2013 umeabot <umeabot> 1.3.6-2.mga3
+ Revision: 385589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 20 2012 mikala <mikala> 1.3.6-1.mga2
+ Revision: 198731
- Update tarball to 1.3.6
- Add requires for the wacom driver
- Fix some rpmlint warnings

* Wed Nov 30 2011 mikala <mikala> 1.3.5-1.mga2
+ Revision: 174615
- Update tarball to 1.3.5
- remove %%defattr() & %%clean section
- fix use of kde macros

* Sun Jun 12 2011 mikala <mikala> 1.3.2-0.mga2
+ Revision: 104516
- Update tarball to 1.3.2
- Fix file list.

* Tue May 03 2011 mikala <mikala> 1.3-0.mga1
+ Revision: 94442
- imported package wacomtablet

